RDKit::RingInfo Class Reference

A class to store information about a molecule's rings. More...

`#include <RingInfo.h>`

## Public Types

typedef std::vector< int > | MemberType
typedef std::vector< MemberType > | DataType
typedef std::vector< int > | INT_VECT
typedef std::vector< INT_VECT > | VECT_INT_VECT

## Public Member Functions

| RingInfo ()
| RingInfo (const RingInfo &other)
bool | isInitialized () const
| checks to see if we've been properly initialized More...
void | initialize ()
| does initialization More...
void | reset ()
| blows out all current data and de-initializes More...
unsigned int | addRing (const INT_VECT &atomIndices, const INT_VECT &bondIndices)
| adds a ring to our data More...
Atom information
bool | isAtomInRingOfSize (unsigned int idx, unsigned int size) const
| returns whether or not the atom with index `idx` is in a `size` - ring. More...
unsigned int | numAtomRings (unsigned int idx) const
| returns the number of rings atom `idx` is involved in More...
unsigned int | minAtomRingSize (unsigned int idx) const
| returns the size of the smallest ring atom `idx` is involved in More...
const VECT_INT_VECT & | atomRings () const
| returns our `atom-rings` vectors More...
Bond information
bool | isBondInRingOfSize (unsigned int idx, unsigned int size) const
| returns whether or not the bond with index `idx` is in a `size` - ring. More...
unsigned int | numBondRings (unsigned int idx) const
| returns the number of rings bond `idx` is involved in More...
unsigned int | minBondRingSize (unsigned int idx) const
| returns the size of the smallest ring bond `idx` is involved in More...
unsigned int | numRings () const
| returns the total number of rings More...
const VECT_INT_VECT & | bondRings () const
| returns our `bond-rings` vectors More...

## Friends

class | MolPickler

## Detailed Description

A class to store information about a molecule's rings.

Definition at line 21 of file RingInfo.h.

## Member Typedef Documentation

typedef std::vector<MemberType > RDKit::RingInfo::DataType

Definition at line 25 of file RingInfo.h.

typedef std::vector<int> RDKit::RingInfo::INT_VECT

Definition at line 26 of file RingInfo.h.

typedef std::vector<int> RDKit::RingInfo::MemberType

Definition at line 24 of file RingInfo.h.

typedef std::vector< INT_VECT > RDKit::RingInfo::VECT_INT_VECT

Definition at line 27 of file RingInfo.h.

## Constructor & Destructor Documentation

RDKit::RingInfo::RingInfo | ( |  | ) |

inline

Definition at line 29 of file RingInfo.h.

RDKit::RingInfo::RingInfo | ( | const RingInfo & | other | ) |

inline

Definition at line 30 of file RingInfo.h.

## Member Function Documentation

unsigned int RDKit::RingInfo::addRing | ( | const INT_VECT & | atomIndices,
|  | const INT_VECT & | bondIndices
| ) |  |

adds a ring to our data

Parameters

  atomIndices | the integer indices of the atoms involved in the ring
  bondIndices | the integer indices of the bonds involved in the ring, this must be the same size as `atomIndices`.

Returns
  the number of rings

Notes:

- the object must be initialized before calling this

const VECT_INT_VECT& RDKit::RingInfo::atomRings | ( |  | ) | const

inline

returns our `atom-rings` vectors

Notes:

- the object must be initialized before calling this

Definition at line 86 of file RingInfo.h.

const VECT_INT_VECT& RDKit::RingInfo::bondRings | ( |  | ) | const

inline

returns our `bond-rings` vectors

Notes:

- the object must be initialized before calling this

Definition at line 124 of file RingInfo.h.

Referenced by RDKit::FMCS::RingMatchTableSet::addTargetBondRingsIndeces(), RDKit::FMCS::RingMatchTableSet::computeRingMatchTable(), RDKit::Drawing::DrawMol(), and RDKit::FMCS::RingMatchTableSet::init().

void RDKit::RingInfo::initialize | ( |  | ) |

does initialization

bool RDKit::RingInfo::isAtomInRingOfSize | ( | unsigned int | idx,
|  | unsigned int | size
| ) |  | const

returns whether or not the atom with index `idx` is in a `size` - ring.

Notes:

- the object must be initialized before calling this

Referenced by RDKit::queryAtomIsInRingOfSize().

bool RDKit::RingInfo::isBondInRingOfSize | ( | unsigned int | idx,
|  | unsigned int | size
| ) |  | const

returns whether or not the bond with index `idx` is in a `size` - ring.

Notes:

- the object must be initialized before calling this

Referenced by RDKit::queryBondIsInRingOfSize().

bool RDKit::RingInfo::isInitialized | ( |  | ) | const

inline

checks to see if we've been properly initialized

Definition at line 37 of file RingInfo.h.

Referenced by RDKit::Drawing::DrawMol().

unsigned int RDKit::RingInfo::minAtomRingSize | ( | unsigned int | idx | ) | const

returns the size of the smallest ring atom `idx` is involved in

Notes:

- the object must be initialized before calling this

Referenced by RDKit::queryAtomMinRingSize().

unsigned int RDKit::RingInfo::minBondRingSize | ( | unsigned int | idx | ) | const

returns the size of the smallest ring bond `idx` is involved in

Notes:

- the object must be initialized before calling this

Referenced by RDKit::queryBondMinRingSize().

unsigned int RDKit::RingInfo::numAtomRings | ( | unsigned int | idx | ) | const

returns the number of rings atom `idx` is involved in

Notes:

- the object must be initialized before calling this

Referenced by RDKit::queryAtomRingMembership(), RDKit::queryIsAtomInNRings(), and RDKit::queryIsAtomInRing().

unsigned int RDKit::RingInfo::numBondRings | ( | unsigned int | idx | ) | const

returns the number of rings bond `idx` is involved in

Notes:

- the object must be initialized before calling this

Referenced by RDKit::Drawing::DrawMol(), RDKit::queryAtomHasRingBond(), RDKit::queryAtomRingBondCount(), RDKit::queryIsBondInNRings(), and RDKit::queryIsBondInRing().

unsigned int RDKit::RingInfo::numRings | ( |  | ) | const

returns the total number of rings

Notes:

- the object must be initialized before calling this

void RDKit::RingInfo::reset | ( |  | ) |

blows out all current data and de-initializes

## Friends And Related Function Documentation

friend class MolPickler

friend

Definition at line 22 of file RingInfo.h.

The documentation for this class was generated from the following file:

- RingInfo.h